"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const logger_1 = __importDefault(require("./../../../../shared/logger"));
const read_files_extension_1 = require("../../../../shared/util/read-files-extension");
const directory = process.cwd() + "/";
function default_1(criteria) {
    return __awaiter(this, void 0, void 0, function* () {
        // 1. Leer el archivo .json y lista las dependencias filtradas de acuerdo al cricterio de busqueda, permite seleccionar las dependencias a emplear y genera un archivo config.json con las dependencias a emplear y su versión.
        logger_1.default.info("Find .json file in the current directory");
        // 1. Leo el directorio actual y permito seleccionar todos los proyectos deseados
        const currentDirectory = yield read_files_extension_1.readDirectoryByExtension(directory, [".json"]);
        if (criteria) {
            logger_1.default.info(`Use the criteria ${criteria}`);
        }
        console.log(currentDirectory);
    });
}
exports.default = default_1;
